Expand seed tables via soft FK edges to find junction tables
curl --request POST \
--url https://api.example.com/utils/context-packs/{name}/soft-fk-expand \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"seed_tables": [
"<string>"
],
"max_hops": 2
}
'import requests
url = "https://api.example.com/utils/context-packs/{name}/soft-fk-expand"
payload = {
"seed_tables": ["<string>"],
"max_hops": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({seed_tables: ['<string>'], max_hops: 2})
};
fetch('https://api.example.com/utils/context-packs/{name}/soft-fk-expand', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"seed_tables": [
"<string>"
],
"expanded_tables": [
{
"table": "<string>",
"path": [
{
"from_table": "<string>",
"from_column": "<string>",
"to_table": "<string>",
"to_column": "<string>"
}
]
}
],
"all_tables": [
"<string>"
]
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}soft-fk-edges
Expand seed tables via soft FK edges to find junction tables
BFS expansion to find junction tables connecting seed tables.
POST
/
utils
/
context-packs
/
{name}
/
soft-fk-expand
Expand seed tables via soft FK edges to find junction tables
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Context pack name
Body
application/json
Was this page helpful?
⌘I

